package com.lightinit.hsdataplatformresdir.spring;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;

/**
 * Created by Mr.Yao on 2017/4/14.
 */
public class DynamicDataSource extends AbstractRoutingDataSource {
    @Override
    protected Object determineCurrentLookupKey() {
        return DynamicDataContextHolder.getCustomerType();
    }
}
